namespace Wizard.Lottery;

public class LotteryReceiveBigChanceTask : BaseTask
{
	public class LotteryReceiveBigChanceTaskParam : BaseParam
	{
		public int campaign_id;

		public int mission_id;
	}

	public LotteryRewardData Result { get; private set; }

	public LotteryReceiveBigChanceTask()
	{
		base.type = ApiType.Type.LotteryReceiveBigChance;
	}

	public void SetParameter(int campaignId, int missionId)
	{
		LotteryReceiveBigChanceTaskParam lotteryReceiveBigChanceTaskParam = new LotteryReceiveBigChanceTaskParam();
		lotteryReceiveBigChanceTaskParam.campaign_id = campaignId;
		lotteryReceiveBigChanceTaskParam.mission_id = missionId;
		base.Params = lotteryReceiveBigChanceTaskParam;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		Result = new LotteryRewardData(base.ResponseData["data"]["lottery_reward"]);
		return num;
	}
}
